Subject: [Sigtran] Clarification regarding the IPSP behavior for ASPTM messages without RC

From: Vaibhav Banga <[email-masked]>
Date: Tue, 12 Mar 2013 15:06:00 +0530

Hi All,

I would request you to clarify regarding the IPSP D.E mode behavior for
ASPTM messages without RC.

According to M3UA RFC 4666 section 4.3.1 last paragraph :

“ASPTM messages.  When sending ASPTM messages to activate/deactivate

     all the traffic independently of routing keys by not specifying any

     RC, a single exchange could be sufficient.”

A single exchange of ASPTM messages without RC sufficient to
activate/deactivate the traffic.  Whereas the diagram in section 5.6.2.
double exchange it looks, even if RC is optional, double exchange of ASPAC
messages are required.

               IPSP-A                           IPSP-B

                 |                                |

                 |<-------------ASP Up------------|

                 |-----------ASP Up Ack---------->|

                 |                                |

                 |-------------ASP Up------------>|  (optional)

                 |<----------ASP Up Ack-----------|  (optional)

                 |                                |

                 |<------- ASP Active(RCb)--------|  RC: Routing Context

                 |-----ASP Active Ack (RCb)------>|      (optional)

                 |                                |

                 |------- ASP Active(RCa)-------->|  RC: Routing Context

                 |<-----ASP Active Ack (RCa)------|      (optional)

                 |                                |

                 |<=========  DATA (RCa) =========|

                 |==========  DATA (RCb) ========>|

                 |                                |

                 |<-----ASP Inactive (RCb)--------|  RC: Routing Context

                 |----ASP Inactive Ack (RCb)----->|

                 |                                |

                 |------ASP Inactive (RCa)------->|  RC: Routing Context

                 |<----ASP Inactive Ack (RCa)-----|

                 |                                |

                 |<-----------ASP Down------------|

                 |---------ASP Down Ack---------->|

                 |                                |

                 |------------ASP Down----------->|  (optional)

                 |<--------ASP Down Ack-----------|  (optional)

                 |                                |

Both section are seems to be contradictory.  I would request you to clarify
the behavior for ASPAC/ASPIA messages without RC for IPSP Double exchange
mode. Whether single exchange of ASPTM messages or double exchange of ASPTM
messages are required to acivate/deactivate the traffic with out RC.

-
Thanks and kind Regards,
Vaibhav Banga
Software Engineer,
ARICENT TECHNOLOGIES
Gurgaon, Ph.No. 09654714588

---

From: "Brian F. G. Bidulock" <[email-masked]>
Date: Tue, 12 Mar 2013 18:05:29 -0600

Vaibhav,

In the example RC values are specified and therefore a double
exchange is required.

There is no contradiction.

--brian

Vaibhav Banga wrote:                                     (Tue, 12 Mar 2013 15:06:00)
>    ASPTM messages.  When sending ASPTM messages to activate/deactivate
> 
>         RC, a single exchange could be sufficient.
> 
> 
>    double exchange it looks, even if RC is optional, double exchange of
>    ASPAC messages are required.
> 

-- 
Brian F. G. Bidulock
[email-masked]
http://www.openss7.org/

---

From: Vaibhav Banga <[email-masked]>
Date: Wed, 13 Mar 2013 10:54:42 +0530

Hi Brain,

Thanks for the response.
Please confirm only single exchange of ASPTM messages are sufficient if RC
values are not specified.

Our implementation is allowing only single exchange of ASPTM messages by
not specifying RC, Where as peer implementation is expecting double
exchange even if RC values are not specified which is causing inter-op
issues.

-- 
Thanks and kind Regards,
Vaibhav Banga

---

From: "Brian F. G. Bidulock" <[email-masked]>
Date: Wed, 13 Mar 2013 00:38:53 -0600

Vaibhav,

Then I should point out that IPSP-DE is not recommended.  Don't
use it.  It has all manner of problems and race conditions.  It
can activate an AS in one direction and fail to do so in the
opposite direction.  It requires brittle configuration: if
configuration on both sides do no match correctly, two half
activations result instead of one full one or none.

IPSP-SE is recommended.  Use that.

--brian

Vaibhav Banga wrote:                           (Wed, 13 Mar 2013 10:54:42)
>    Hi Brain,
>    Thanks for the response.
>    Please confirm only single exchange of ASPTM messages are sufficient if
>    RC values are not specified.
>    Our implementation is allowing only single exchange of ASPTM messages
>    by not specifying RC, Where as peer implementation is expecting double

-- 
Brian F. G. Bidulock
[email-masked]
http://www.openss7.org/